<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<div th:fragment="head(pageTitle)" th:remove="tag">
    <title th:text="${pageTitle}">Page title</title>
    <meta charset="UTF-8">
    <meta name="description" content="TheQuest Gaming Magazine Template">
    <meta name="keywords" content="gaming, html">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Favicon -->
    <link th:href="@{/img/favicon.ico}" href="img/favicon.ico" rel="shortcut icon"/>
    <!-- Google font -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,500,500i,700,700i&display=swap"
          rel="stylesheet">
    <!-- Stylesheets -->
    <link rel="stylesheet" th:href="@{/css/bootstrap.min.css}" href="css/bootstrap.min.css"/>
    <link rel="stylesheet" th:href="@{/css/font-awesome.min.css}" href="css/font-awesome.min.css"/>
    <link rel="stylesheet" th:href="@{/css/magnific-popup.css}" href="css/magnific-popup.css"/>
    <link rel="stylesheet" th:href="@{/css/owl.carousel.min.css}" href="css/owl.carousel.min.css"/>
    <link rel="stylesheet" th:href="@{/css/animate.css}" href="css/animate.css"/>
    <link rel="stylesheet" th:href="@{/css/slicknav.min.css}" href="css/slicknav.min.css"/>
    <link rel="stylesheet" th:href="@{/css/animate.min.css}" href="css/animate.min.css"/>
    <!-- Main Stylesheets -->
    <link rel="stylesheet" th:href="@{/css/style.css}" href="css/style.css"/>
    <!-- DataTables -->
    <link rel="stylesheet" th:href="@{/css/dataTable.css}" href="css/dataTable.css"/>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!--[if lt IE 9]>
    <script th:src="@{/js/html5shiv.min.js}" src="js/html5shiv.min.js"></script>
    <script th:src="@{/js/respond.min.js}" src="js/respond.min.js"></script>
    <![endif]-->

</div>

<header th:fragment="header" class="header-section">
    <a href="/" class="site-logo">
        <img th:src="@{/img/logo.png}" src="img/logo.png" alt="logo">
    </a>
    <ul class="main-menu" role="menu">
        <li><a href="/">Home</a></li>
        <li sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/users}" th:text="#{users.title}"></a></li>
        <li sec:authorize="isAuthenticated()"><a th:href="@{/characters}" th:text="#{characters.title}"></a></li>
        <li sec:authorize="isAuthenticated()"><a th:href="@{/combats}" th:text="#{combats.title}"></a></li>
        <li sec:authorize="hasRole('ROLE_ADMIN')"><a th:href="@{/roles}" th:text="#{roles.title}"></a></li>
        <li sec:authorize="isAnonymous()"><a th:href="@{/login}" th:text="#{login.title}">Login</a></li>
        <li sec:authorize="isAnonymous()"><a th:href="@{/register}" th:text="#{register.title}">Registre</a></li>
        <li><a href="http://sonar.jaumemoron.cat/dashboard?id=cat.jaumemoron.formacio%3Adavid-game" text="Sonar Report" target="_blank">Sonar Report</a></li>
        <li><a href="https://david-game.jaumemoron.cat/swagger-ui.html" text="Sonar Report" target="_blank">Rest Services</a></li>
        <!-- Fer ho desde varible si es local o produccio-->
    </ul>
    <ul class="main-menu" role="menu">
        <li><a href="javascript:window.location.replace('?lang=ca');" th:text="#{header.language.ca}">Català</a></li>
        <li><a href="javascript:window.location.replace('?lang=es');" th:text="#{header.language.es}">Castellà</a></li>
    </ul>
    <ul sec:authorize="isAuthenticated()" class="main-menu" role="menu">
        <li ><a href="profile.html"><div sec:authentication="name"></div></a></li>
    </ul>
    <ul sec:authorize="isAuthenticated()" class="main-menu" role="menu">
        <li ><a href="/logout" th:text="#{header.logout}">Logout</a></li>
    </ul>
</header>

<div th:fragment="scripts">
    <!--====== Javascripts & Jquery ======-->
    <script th:src="@{/js/jquery-3.2.1.min.js}" src="js/jquery-3.2.1.min.js"></script>
    <script th:src="@{/js/jquery.dataTables.min.js}" src="js/jquery.dataTables.min.js"></script>
    <script th:src="@{/js/bootstrap.min.js}" src="js/bootstrap.min.js"></script>
    <script th:src="@{/js/jquery.slicknav.js}" src="js/jquery.slicknav.js"></script>
    <script th:src="@{/js/owl.carousel.min.js}" src="js/owl.carousel.min.js"></script>
    <script th:src="@{/js/circle-progress.min.js}" src="js/circle-progress.min.js"></script>
    <script th:src="@{/js/jquery.magnific-popup.min.js}" src="js/jquery.magnific-popup.min.js"></script>
    <script th:src="@{/js/main.js}" src="js/main.js"></script>
    <!-- Font awesome icons -->
    <script src="https://kit.fontawesome.com/5c3e9ed0c8.js" crossorigin="anonymous"></script>
    <!-- Sweet alert pop up -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
</div>


</html>